Combobox = function ( )
		{
			
		}
		
Combobox.setCombos = function ( pobComboOrigen, pobComboDestino )
		{
			pobComboOrigen.ondblclick = function( ) 
							{
								Combobox.move( pobComboOrigen, pobComboDestino )
							};
			pobComboDestino.ondblclick = function( ) 
							{
								Combobox.move( pobComboDestino, pobComboOrigen );
							};
		}
		
Combobox.move = function ( pobOrigen, pobDestino ) 
		{
			 var layTextosOrigen 	= new Array();
		     var layTextosDestino 	= new Array();
		     var layListaValores 	= new Array();
		     
		     for( var xE = 0; xE < pobDestino.options.length; xE++ ) 
		     {
		          layListaValores[ pobDestino.options[ xE ].text ] = pobDestino.options[ xE ].value;
		          layTextosDestino[ xE ] = pobDestino.options[ xE ].text;
		     }
		     
		     var lnuPosOrigen 	= 0;
		     var lnuPosDestino 	= layTextosDestino.length
		     
		     for( var xE = 0; xE < pobOrigen.options.length; xE++ ) 
		     {
		          layListaValores[ pobOrigen.options[ xE ].text ] = pobOrigen.options[ xE ].value;
		          
		          if( pobOrigen.options[ xE ].selected && pobOrigen.options[ xE ].value != "" ) 
		          {
		               layTextosDestino[ lnuPosDestino ] = pobOrigen.options[ xE ].text;
		               lnuPosDestino++;
		               
		          }//Termina if( ) 
		          else 
		          {
		               layTextosOrigen[ lnuPosOrigen ] = pobOrigen.options[ xE ].text;
		               lnuPosOrigen++;
		               
		          }//Termina else if( ) 
		          
		     }//Termina for( )
		     
		     layTextosOrigen.sort();
		     layTextosDestino.sort();
		     
		     pobOrigen.length 	= 0;
		     pobDestino.length 	= 0;
		         
		     for( var xE = 0; xE < layTextosOrigen.length; xE++ ) 
		     {
		          var lobOption 		= new Option();
		          	  lobOption.value 	= layListaValores[ layTextosOrigen[ xE ] ];
		          	  lobOption.text 	= layTextosOrigen[ xE ];
		          	  
		          pobOrigen[ xE ] 	= lobOption;
		          
		     }//Termina for( ) 
		     
		     
		     for( var xE = 0; xE < layTextosDestino.length; xE++ ) 
		     {
		     	var lobOption 			= new Option();
		     		lobOption.value 	= layListaValores[ layTextosDestino[ xE ] ];
			     	lobOption.text 		= layTextosDestino[ xE ];
			     	
		     	pobDestino[ xE ] 	= lobOption;
		     	
		     }//Termina for(  )      
		}

Combobox.select = function ( pobCombo ) 
		{
			for( var xE = 0; xE < pobCombo.length; xE++ ) 
			{
				pobCombo[ xE ].selected = true;
			}     		
		}
		
Combobox.send = function ( pobCombo, pboText ) 
		{
			var lstCadena 	= '';
			var lnuTotal 	= pobCombo.length;
			
			if( lnuTotal > 0 )
			{
				for( var xE = 0; xE < lnuTotal - 1 ; xE++ ) 
				{
					lstCadena += pobCombo[ xE ].value + ',';
				}
				
				lstCadena += pobCombo[ lnuTotal - 1 ].value;
			}
			pboText.value = lstCadena;
		}
